<?php
/*
Plugin Name: Flexible Contact Form With Admin Panel (Wordpress Edition)
Plugin URI: http://mistirio.com
Description: Best and most Flexible Contact Form available, now available for Wordpress! Only Available On CodeCanyon! <b>Download Latest Updates From CodeCanyon</b>
Version: 1.0
Author: (Var) Michael Schinis
Author URI: http://mistirio.com
*/

/*
*	Menu Action / Hook - admin.php
*	Install Hook
*	Initialize Action / Hook to load all JS/Styles
*/
if ( is_admin() ){
	require_once dirname( __FILE__ ) . '/admin.php';
}
require_once dirname( __FILE__ ) . '/user.php';
register_activation_hook(__FILE__,'flexi_install');
register_deactivation_hook(__FILE__,'flexi_uninstall');
add_action('init', 'flexiblecf_init');

function flexiblecf_init(){
if ( !(is_admin())){
wp_enqueue_script('jquery');
wp_register_script( 'flexible_locationpicker_script', plugins_url('/js/jquery.locationpicker.js', __FILE__) );
wp_register_script( 'flexible_swfobject_script', plugins_url('/js/uploadify/swfobject.js', __FILE__) );
wp_register_script( 'flexible_uploadify_script', plugins_url('/js/uploadify/jquery.uploadify.v2.1.4.js', __FILE__) );
wp_register_script( 'flexible_google_maps', "http://maps.google.com/maps/api/js?sensor=false" );
wp_register_style('flexible_uploadify_css', plugins_url('/js/uploadify/uploadify.css', __FILE__) );
wp_register_style('flexible_user_form_css', plugins_url('/style/l_green.css', __FILE__) );
wp_enqueue_script('flexible_locationpicker_script');
wp_enqueue_script('flexible_uploadify_script');
wp_enqueue_script('flexible_swfobject_script');
wp_enqueue_script('flexible_google_maps');
wp_enqueue_style('flexible_user_form_css');
wp_enqueue_style('flexible_uploadify_css');
}else{
if (get_option('flexicf_enable_button') == '1'){
flexicf_add_buttons();
}
}
wp_register_script('google-jquery-ui', 'https://ajax.googleapis.com/ajax/libs/jqueryui/1.8.16/jquery-ui.min.js');
wp_enqueue_script('google-jquery-ui');
$get_jquerycss = get_option('flexicf_jquery_css');
if ($get_jquerycss != "" && fopen($get_jquerycss , "r")){$flexicf_jquery_css = get_option('flexicf_jquery_css');}else{ $flexicf_jquery_css = "http://ajax.googleapis.com/ajax/libs/jqueryui/1.8.14/themes/blitzer/jquery-ui.css"; };
wp_register_style('custom_jqueryui_css', $flexicf_jquery_css );
wp_enqueue_style('custom_jqueryui_css');
if (is_admin() && $_GET['page']=='flexiblecf') {
wp_register_script( 'flexible_custom_script', plugins_url('/js/custom.js', __FILE__) );
wp_register_script( 'flexible_tablednd', plugins_url('/js/jquery.tablednd.js', __FILE__) );
wp_enqueue_script( 'flexible_tablednd' );
wp_enqueue_script( 'flexible_custom_script' );
wp_register_style('flexi_admin_style', plugins_url('/style/admin_style.css', __FILE__));
wp_enqueue_style('flexi_admin_style');
}
}
/*
*
*	Here is the installation of the contact form Database.
*
*/
function flexi_install(){
add_option('flexicf_enable_button', '1');
add_option('flexicf_jquery_css', '');
global $wpdb;
require_once(ABSPATH . 'wp-admin/includes/upgrade.php');

$table_name = $wpdb->prefix."flexible";
$sql = "CREATE TABLE ".$table_name." (
	  flexible_field_name VARCHAR(100) NOT NULL,
	  flexible_enabled INT(1) NOT NULL,
	  flexible_type VARCHAR(50) NOT NULL,
	  flexible_alias INT(10) AUTO_INCREMENT,
	  flexible_req INT(1) NOT NULL,
	  flexible_order INT(4) NOT NULL,
	  flexible_choices VARCHAR(200) NOT NULL,
	  contact_form_id INT(5) NOT NULL,
	  UNIQUE KEY flexible_alias (flexible_alias)
	) ENGINE=MyISAM DEFAULT CHARSET=utf8 ;";
dbDelta($sql);
$wpdb->insert( $table_name, array( 'flexible_field_name' => 'Subject', 'flexible_enabled' => '1', 'flexible_type' => 'subject', 'flexible_alias' => '1', 'flexible_req' => '1', 'flexible_order' => '1' ) );

$table_name = $wpdb->prefix."flexible_settings";
$sql = "CREATE TABLE ".$table_name." (
	  id INT(1) NOT NULL,
	  email VARCHAR(100) NOT NULL,
	  page_title VARCHAR(100) NOT NULL,
	  small_desc VARCHAR(100) NOT NULL,
	  title VARCHAR(100) NOT NULL,
	  submit_button VARCHAR(100) NOT NULL,
	  captcha INT(1) NOT NULL,
	  from_a VARCHAR(100) NOT NULL,
	  thanks text NOT NULL,
	  delete_deactivate INT(1) NOT NULL,
	  UNIQUE KEY id (id)
	) ENGINE=MyISAM DEFAULT CHARSET=utf8 ;";
dbDelta($sql);
$wpdb->insert( $table_name, array( 'id' => '1', 'email' => 'info@mistirio.com', 'page_title' => 'Flexi Contact Form', 'small_desc' => 'Lets Connect', 'title' => 'Contact Us', 'submit_button' => 'Send Message', 'captcha' => '1', 'from_a' => 'info@mistirio.com', 'thanks' => 'Thank you for your email', 'delete_deactivate' => '0' ) );

$table_name = $wpdb->prefix."flexible_file_settings";
$sql = "CREATE TABLE ".$table_name." (
	  flexible_id INT(20) NOT NULL,
	  flexible_file_ext VARCHAR(200) NOT NULL,
	  flexible_file_size INT(255) NOT NULL,
	  UNIQUE KEY flexible_id (flexible_id)
	) ENGINE=MyISAM DEFAULT CHARSET=utf8 ;";
dbDelta($sql);

$table_name = $wpdb->prefix."flexible_geolocation_settings";
$sql = "CREATE TABLE ".$table_name." (
	  flexible_id INT(20) NOT NULL,
	  loc_button_text VARCHAR(50) NOT NULL,
	  loc_width VARCHAR(10) NOT NULL,
	  loc_height VARCHAR(10) NOT NULL,
	  loc_background_color VARCHAR(10) NOT NULL,
	  loc_border VARCHAR(10) NOT NULL,
	  loc_border_radius VARCHAR(10) NOT NULL,
	  loc_padding VARCHAR(10) NOT NULL,
	  UNIQUE KEY flexible_id (flexible_id)
	) ENGINE=MyISAM DEFAULT CHARSET=utf8 ;";
dbDelta($sql);

$table_name = $wpdb->prefix."flexible_slider_settings";
$sql = "CREATE TABLE ".$table_name." (
	  flexible_id INT(20) NOT NULL,
	  slider_min INT(200) NOT NULL,
	  slider_max INT(200) NOT NULL,
	  slider_value INT(200) NOT NULL,
	  slider_step INT(200) NOT NULL,
	  slider_display INT(1) NOT NULL,
	  slider_prefix VARCHAR(3) NOT NULL,
	  slider_range INT(1) NOT NULL,
	  slider_value_min INT(200) NOT NULL,
	  slider_value_max INT(200) NOT NULL,
	  UNIQUE KEY flexible_id (flexible_id)
	) ENGINE=MyISAM DEFAULT CHARSET=utf8 ;";
dbDelta($sql);

$table_name = $wpdb->prefix."flexible_date_settings";
$sql = "CREATE TABLE ".$table_name." (
	  flexible_id INT(20) NOT NULL,
	  default_text VARCHAR(255) NOT NULL,
	  first_day INT(1) NOT NULL,
	  UNIQUE KEY flexible_id (flexible_id)
	) ENGINE=MyISAM DEFAULT CHARSET=utf8 ;";
dbDelta($sql);

add_option("flexi_db_version", "1.1");
}
/*
*
*	Here is the uninstall function - Deletes data from database
*
*/
function flexi_uninstall(){
global $wpdb;
$check_delete_deactivate = $wpdb->get_var("SELECT delete_deactivate FROM ".$wpdb->prefix."flexible_settings WHERE id='1'");
delete_option('flexicf_enable_button');
if ($check_delete_deactivate == 1){
delete_option('flexicf_jquery_css');
delete_option('flexi_db_version');
$wpdb->query("DROP TABLE ".$wpdb->prefix."flexible");
$wpdb->query("DROP TABLE ".$wpdb->prefix."flexible_file_settings");
$wpdb->query("DROP TABLE ".$wpdb->prefix."flexible_slider_settings");
$wpdb->query("DROP TABLE ".$wpdb->prefix."flexible_geolocation_settings");
$wpdb->query("DROP TABLE ".$wpdb->prefix."flexible_settings");
}
}
/*
*
*	Flexible Contact Form TinyMCE Plugin
*
*/
function flexicf_add_buttons(){
   // Don't bother doing this stuff if the current user lacks permissions
   if ( ! current_user_can('edit_posts') && ! current_user_can('edit_pages') )
     return;
 
   // Add only in Rich Editor mode
   if ( get_user_option('rich_editing') == 'true') {
     add_filter('mce_buttons', 'flexicf_add_button');
	 add_filter("mce_external_plugins", "flexicf_register");
   }
}
function flexicf_add_button($buttons)
{
    array_push($buttons, "separator", "flexicf");
    return $buttons;
}
 
function flexicf_register($plugin_array)
{
	$url = plugins_url('/tinymce/editor_plugin.js', __FILE__);
    $plugin_array["flexicf"] = $url;
    return $plugin_array;
}
?>